import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
import { getUser } from "./utils/tool";

Vue.use(ElementUI);
(async function(){
    localStorage.setItem("user", await getUser());
})()
router.beforeEach((to, from, next) => {
  if (to.meta.title) document.title = to.meta.title;
  next();
});

new Vue({
  router,
  render: h => h(App),
}).$mount("#app");
